import os
import sys
import socket


def main():

	black = lambda text: '\033[0;30m' + text + '\033[0m'
	red = lambda text: '\033[0;31m' + text + '\033[0m'
	green = lambda text: '\033[0;32m' + text + '\033[0m'
	yellow = lambda text: '\033[0;33m' + text + '\033[0m'
	blue = lambda text: '\033[0;34m' + text + '\033[0m'
	magenta = lambda text: '\033[0;35m' + text + '\033[0m'
	cyan = lambda text: '\033[0;36m' + text + '\033[0m'
	lgray = lambda text: '\033[0;37m' + text + '\033[0m'
	dgray = lambda text: '\033[1;30m' + text + '\033[0m'
	lred = lambda text: '\033[1;32m' + text + '\033[0m'
	lgreen = lambda text: '\033[1;32m' + text + '\033[0m'
	lyellow = lambda text: '\033[1;33m' + text + '\033[0m'
	lblue = lambda text: '\033[1;34m' + text + '\033[0m'
	lpurple = lambda text: '\033[1;35m' + text + '\033[0m'
	lcyan = lambda text: '\033[1;36m' + text + '\033[0m'
	white = lambda text: '\033[1;37m' + text + '\033[0m'

	hostname=socket.gethostname()

	if hostname.startswith("jean-zay"):
		print("using JZ")
		zipdir=os.environ['WORK']+'/JZ_Xios_reference'
	elif hostname.startswith("irene"):
		print("using Irene")
		zipdir=os.environ['CCCWORKDIR']+'/Irene_Xios_reference'
	else :
		print("using other machine")
		sys.exit()

	if not os.path.isdir(zipdir):
		os.system("mkdir "+zipdir)


	my_list = os.listdir(os.getcwd())

	test_list=[]
	for folder in my_list:
		if folder.startswith("test_"):
			test_list.append(folder)

	for folder in test_list:
		# make tmp_reference to reference
		all_subfolders = os.listdir(folder)
		for subfolder in all_subfolders:
			if subfolder.startswith("config_"):
				os.system("bash -c \"cd "+folder+"/"+subfolder+ " &&  mv tmp_reference reference \" ")



		os.system('rm -f '+zipdir+'/'+folder+'.zip' )
		os.system('zip -rq '+zipdir+'/'+folder+'  '+folder+'/config_*' )
		print(cyan(folder)+' reference stored in '+zipdir)



if __name__== "__main__":
  main()
